const rewardChest = [
  { item: "Gold Ingot", amount: 32, rarity: 2.8, typeId: "minecraft:gold_ingot", texture: "textures/items/gold_ingot" },
  { item: "Emerald", amount: 16, rarity: 2.1, typeId: "minecraft:emerald", texture: "textures/items/emerald" },
  { item: "Ender Pearl", amount: 8, rarity: 1.6, typeId: "minecraft:ender_pearl", texture: "textures/items/ender_pearl" },
  { item: "Diamond", amount: 8, rarity: 1.4, typeId: "minecraft:diamond", texture: "textures/items/diamond" },
  { item: "Netherite Scrap", amount: 4, rarity: 0.7, typeId: "minecraft:netherite_scrap", texture: "textures/items/netherite_scrap" },
  { item: "Totem of Undying", amount: 2, rarity: 0.6, typeId: "minecraft:totem_of_undying", texture: "textures/items/totem" },
  { item: "Enchanted Golden Apple", amount: 4, rarity: 0.4, typeId: "minecraft:enchanted_golden_apple", texture: "textures/items/apple_enchanted" },
  { item: "Wither Skeleton Skull", amount: 3, rarity: 0.3, typeId: "minecraft:wither_skeleton_skull", texture: "textures/items/wither_skull" },
  { item: "Mace", amount: 1, rarity: 0.2, typeId: "minecraft:mace", texture: "textures/items/mace" },
  { item: "Silence Armor Trim", amount: 1, rarity: 0.1, typeId: "minecraft:silence_armor_trim_smithing_template", texture: "textures/items/silence_armor_trim_smithing_template" }
];

const weeklyChest = [
  { item: "Iron Ingot", amount: 32, rarity: 2.99, typeId: "minecraft:iron_ingot", texture: "textures/items/iron_ingot" },
  { item: "Bottle o' Enchanting", amount: 8, rarity: 2.5, typeId: "minecraft:experience_bottle", texture: "textures/items/experience_bottle" },
  { item: "Saddle", amount: 1, rarity: 1.8, typeId: "minecraft:saddle", texture: "textures/items/saddle" },
  { item: "Emerald", amount: 8, rarity: 1.6, typeId: "minecraft:emerald", texture: "textures/items/emerald" },
  { item: "Diamond", amount: 12, rarity: 1.2, typeId: "minecraft:diamond", texture: "textures/items/diamond" },
  { item: "Netherite Scrap", amount: 4, rarity: 0.9, typeId: "minecraft:netherite_scrap", texture: "textures/items/netherite_scrap" },
  { item: "Enchanted Golden Apple", amount: 4, rarity: 0.4, typeId: "minecraft:enchanted_golden_apple", texture: "textures/items/apple_enchanted" },
  { item: "Shulker Box", amount: 2, rarity: 0.3, typeId: "minecraft:undyed_shulker_box", texture: "textures/items/shulker_box" },
  { item: "Elytra", amount: 1, rarity: 0.1, typeId: "minecraft:elytra", texture: "textures/items/elytra" },
  { item: "Mace", amount: 1, rarity: 0.1, typeId: "minecraft:mace", texture: "textures/items/mace" }
];

const questChest = [
  { item: "Steak", amount: 8, rarity: 2.99, typeId: "minecraft:cooked_beef", texture: "textures/items/beef_cooked" },
  { item: "Obsidian", amount: 10, rarity: 2.6, typeId: "minecraft:obsidian", texture: "textures/blocks/obsidian" },
  { item: "Saddle", amount: 1, rarity: 1.9, typeId: "minecraft:saddle", texture: "textures/items/saddle" },
  { item: "Diamond", amount: 4, rarity: 1.5, typeId: "minecraft:diamond", texture: "textures/items/diamond" },
  { item: "Ender Pearl", amount: 6, rarity: 1.2, typeId: "minecraft:ender_pearl", texture: "textures/items/ender_pearl" },
  { item: "Netherite Scrap", amount: 8, rarity: 0.7, typeId: "minecraft:netherite_scrap", texture: "textures/items/netherite_scrap" },
  { item: "Netherite Ingot", amount: 4, rarity: 0.5, typeId: "minecraft:netherite_ingot", texture: "textures/items/netherite_ingot" },
  { item: "Totem of Undying", amount: 4, rarity: 0.4, typeId: "minecraft:totem_of_undying", texture: "textures/items/totem" },
  { item: "Enchanted Golden Apple", amount: 3, rarity: 0.3, typeId: "minecraft:enchanted_golden_apple", texture: "textures/items/apple_enchanted" },
  { item: "Mace", amount: 1, rarity: 0.1, typeId: "minecraft:mace", texture: "textures/items/mace" }
];

export { rewardChest, weeklyChest, questChest };